<?php

function common($url, $params)
{
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	/*curl_setopt($ch, CURLOPT_HTTPHEADER, [
		'Content-Type: application/json',
	]);*/
	$response = curl_exec($ch);
	$error    = curl_errno($ch);

	curl_close($ch);

	$output = $error ? FALSE : json_decode($response);

	return $output;
}

if (extension_loaded('curl')) {

	$params = array(

		'merchant'          => $_POST['apikey'],
		'amount'       => $_POST['amount'],
		'callback'     => urlencode($_POST['callback_url']),
		'orderId' => time()
	);

	$result = common('https://sepordeh.com/merchant/invoices/add', $params);

	if ($result && isset($result->status) && $result->status == 200) {

		header('Location: https://sepordeh.com/merchant/invoices/pay/automatic:true/id:'.$result->information->invoice_id);

	} else {

		$message = 'در ارتباط با وب سرویس sepordeh.com خطایی رخ داده است';
		$message = isset($result->errorMessage) ? $result->errorMessage : $message;

		die($message);
	}

} else {

	die('تابع cURL در سرور فعال نمی باشد');
}
